Bug 1250094 - please build asciinema for epel7
please build asciinema for epel7
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: asciinema (Show other bugs)
epel7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Jedelsky
Fedora Extras Quality Assurance
:
Depends On: 1250674 1250675
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-04 09:46 EDT by Carl George
Modified: 2016-08-11 09:48 EDT (History)
5 users (show)

See Also:
Fixed In Version: asciinema-1.3.0-1.fc24 asciinema-1.3.0-1.fc23 asciinema-1.3.0-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-27 14:54:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carl George 2015-08-04 09:46:26 EDT
Description of problem:

asciinema has an epel7 branch in git, but doesn't seem to have been built yet.  Please build it.
Comment 1 Jan Chaloupka 2015-08-06 06:56:54 EDT
What version of asciinema? Maybe we could update it to the latest at the same time?
Comment 2 Carl George 2015-08-10 11:36:24 EDT
Howdy Jan,

Might as well do the latest upstream release.  I have marked this bug as blocked by the other bugs for build dependencies.
Comment 3 Jakub Jedelsky 2015-10-22 05:36:19 EDT
Hi guys,

sorry for my delay. I have to have resolved dependencies within EPEL as created by Carl. For the newest upstream version (1.1.1) I'm waiting for review of Termios Go lib (1240892) - I'll push it to EPEL7 too to be prepared.
Comment 4 Jan Chaloupka 2015-12-30 08:39:37 EST
Related issue with building from bundled dependencies bz#1289827. I would like to have all projects for epel7 built from bundled dependencies. Can you investigate if it is possible for asciinema?
Comment 5 Jakub Jedelsky 2016-01-14 07:42:14 EST
Does it mean, I can ignore all dependencies which are not in epel7/fedora and build package with all deps included? That's cool, I'll check if build pass.
Comment 6 Jan Chaloupka 2016-01-14 08:16:55 EST
Only if there is no other way. As per bz#1289827, goauth2 is a problem. So it is better to built from bundled deps. Still, it need proper reasoning why.
Comment 7 Robert Scheck 2016-05-03 07:26:24 EDT
I also would like to see asciinema in EPEL 7.
Comment 8 Carl George 2016-07-14 09:38:16 EDT
This request just got significantly easier.  The asciinema project switched back to Python in version 1.3.

http://blog.asciinema.org/post/and-now-for-something-completely-different/
Comment 9 Fedora Update System 2016-07-17 16:42:00 EDT
asciinema-1.3.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-613587a933
Comment 10 Fedora Update System 2016-07-17 16:42:13 EDT
asciinema-1.3.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e07c61d4a1
Comment 11 Fedora Update System 2016-07-17 16:42:21 EDT
asciinema-1.3.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2471fdc2de
Comment 12 Jakub Jedelsky 2016-07-18 02:40:58 EDT
Hi, I'm sorry for being late. Like Carl mentioned above, ascinnema was rewritten to python3 so it's much more easier to me prepare package for epel7. It's  waiting for testing repo.
Comment 13 Fedora Update System 2016-07-18 17:20:01 EDT
asciinema-1.3.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2471fdc2de
Comment 14 Fedora Update System 2016-07-18 18:24:20 EDT
asciinema-1.3.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-613587a933
Comment 15 Fedora Update System 2016-07-18 18:25:51 EDT
asciinema-1.3.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e07c61d4a1
Comment 16 Lukas Zapletal 2016-07-25 10:09:16 EDT
Works as expected, thanks for this package I love it. Kudos all!

Hello world recording from CentOS 7.2 https://asciinema.org/a/7naddhii517qppddr88u0ptfg
Comment 17 Fedora Update System 2016-07-27 14:54:47 EDT
asciinema-1.3.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2016-07-27 16:52:49 EDT
asciinema-1.3.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2016-08-11 09:47:53 EDT
asciinema-1.3.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.